summaryrefslogtreecommitdiff
path: root/.ci
diff options
context:
space:
mode:
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/retry.sh15
-rwxr-xr-x.ci/run.sh4
2 files changed, 19 insertions, 0 deletions
diff --git a/.ci/retry.sh b/.ci/retry.sh
new file mode 100755
index 0000000..aaa50e9
--- /dev/null
+++ b/.ci/retry.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+n=0
+
+while true; do
+ $*
+ if [ "$?" == 0 ]; then
+ exit 0
+ fi
+ if [[ $n -ge 10 ]]; then
+ exit -1
+ fi
+ sleep 5s
+ n=$((n+1))
+done
diff --git a/.ci/run.sh b/.ci/run.sh
new file mode 100755
index 0000000..443611d
--- /dev/null
+++ b/.ci/run.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+cd scripts
+../.ci/retry.sh $*